Subject: Re: [PATCH v3 18/17] doc: make git-hook.txt point of truth

From: Emily Shaffer <[email-masked]>
Date: Mon, 28 Dec 2020 15:15:55 -0800

On Mon, Dec 28, 2020 at 02:40:15PM -0800, Emily Shaffer wrote:
> 
> By showing the list of all hooks in 'git help hook' for users to refer
> to, 'git help hook' becomes a one-stop shop for hook authorship. Since
> some may still have muscle memory for 'git help githooks', though,
> reference the 'git hook' commands and otherwise don't remove content.
> 
> Signed-off-by: Emily Shaffer <[email-masked]>
> ---
> 
> Sorry for the wonky subject. It seemed unnecessary to send the entirety
> of the topic again when there were no changes. (I was able to push this
> patch to my fork without -f, so indeed the rest is unchanged.)
> 
> I'd really prefer if 'git help githooks' opens the 'git-hook.txt' manpage,
> but I couldn't figure out how to do that. This seemed like the next best thing
> to me - users can still find information at the old manpage, but get a little
> nudge towards the new manpage in case they didn't notice it.
> 
> Extremely open to other notes about the direction of these docs; I'm not
> confident in anything except that it'd be annoying to have 'git help
> githooks' remain unchanged.

Even now, this is missing the native-hooks.txt from the commit. Ugh.
This commit breaks the build; please do not add it to the topic. I will
include a fixed version with the next reroll. Sorry.

That said, the intent is clear enough for me to still feel comfortable
inviting review.

 - Emily